DELETE /UsersGroups/{usersGroupId}/Users/DeleteWithPost
Remove users from the specified user group using the POST-based DeleteWithPost endpoint.
Public API key used to identify the client application. It should be included in all requests.
The users group ID.
API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.
YOUR_API_SECRETRequest model to remove users from a users group
List of the user ids being removed from the users group.
Identifier of the admin user that triggered the operation.
Obsolete: Will be removed, use 'Behaviour' field instead! (Old behavior: Flag that configures request creation behaviour. True = request are automatically approved. False = Normal requests are created.)
No Content
No content
Bad Request
Unauthorized
Not Found
Internal Server Error
POST /api/v1/UsersGroups/{usersGroupId}/Users/DeleteWithPost HTTP/1.1
Host: open-api.getcakewalk.io
X-API-KEY: YOUR_API_KEY
X-API-SECRET: YOUR_API_SECRET
Content-Type: application/json
Accept: */*
Content-Length: 140
{
"userIds": [
"123e4567-e89b-12d3-a456-426614174000"
],
"triggeredByUserId": "123e4567-e89b-12d3-a456-426614174000",
"behaviour": "CreateRequests"
}No content
Last updated
Was this helpful?